SDL_GameController Struct Reference
Collaboration diagram for SDL_GameController:
[legend]

## Data Fields

SDL_Joystick * | joystick
int | ref_count
const char * | name
int | num_bindings
SDL_ExtendedGameControllerBind * | bindings
SDL_ExtendedGameControllerBind ** | last_match_axis
Uint8 * | last_hat_mask
Uint32 | guide_button_down
struct _SDL_GameController * | next

## Detailed Description

Definition at line 109 of file SDL_gamecontroller.c.

## Field Documentation

## bindings

SDL_ExtendedGameControllerBind* SDL_GameController::bindings

Definition at line 116 of file SDL_gamecontroller.c.

## guide_button_down

Uint32 SDL_GameController::guide_button_down

Definition at line 119 of file SDL_gamecontroller.c.

## joystick

SDL_Joystick* SDL_GameController::joystick

Definition at line 111 of file SDL_gamecontroller.c.

Referenced by SDL_GameControllerHandleDelayedGuideButton(), SDL_JoystickAxesCenteredAtZero(), and SDL_JoystickOpen().

## last_hat_mask

Uint8* SDL_GameController::last_hat_mask

Definition at line 118 of file SDL_gamecontroller.c.

## last_match_axis

SDL_ExtendedGameControllerBind** SDL_GameController::last_match_axis

Definition at line 117 of file SDL_gamecontroller.c.

## name

const char* SDL_GameController::name

Definition at line 114 of file SDL_gamecontroller.c.

## next

struct _SDL_GameController* SDL_GameController::next

Definition at line 121 of file SDL_gamecontroller.c.

## num_bindings

int SDL_GameController::num_bindings

Definition at line 115 of file SDL_gamecontroller.c.

## ref_count

int SDL_GameController::ref_count

Definition at line 112 of file SDL_gamecontroller.c.

The documentation for this struct was generated from the following file:

- src/joystick/SDL_gamecontroller.c